"use strict";
this.name = "blackmonk_station";
this.description = "Monastery ship script.";

//give a hostile player a warning when fired upon.
this.shipBeingAttacked = function (whom) {
	var aiScript = ship.AIScript;
	if (whom.isPlayer && aiScript.$warn) {
		aiScript.$warn = false;
		ship.commsMessage("[monk-warning]");
		if (aiScript.$adTimer) {
			aiScript.$adTimer.stop();
			delete aiScript.$adTimer;
		}
	}
}
